Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIPanelMenuGroup

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.ajax4jsf.component.AjaxInputComponent
                          org.richfaces.component.UIPanelMenuGroup

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder, org.ajax4jsf.component.AjaxComponent

Direct Known Subclasses:
  HtmlPanelMenuGroup

    public abstract class UIPanelMenuGroup

extends org.ajax4jsf.component.AjaxInputComponent
implements javax.faces.component.ActionSource

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`UIPanelMenuGroup()`

Method Summary
`void` | `addActionListener(javax.faces.event.ActionListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`javax.faces.el.MethodBinding` | `getAction()`
`javax.faces.el.MethodBinding` | `getActionListener()`
`javax.faces.event.ActionListener[]` | `getActionListeners()`
`abstract java.lang.String` | `getDisabledClass()`
`abstract java.lang.String` | `getDisabledStyle()`
`abstract java.lang.String` | `getExpandMode()`
`abstract java.lang.String` | `getHoverClass()`
`abstract java.lang.String` | `getHoverStyle()`
`abstract java.lang.String` | `getIconClass()`
`abstract java.lang.String` | `getIconCollapsed()`
`abstract java.lang.String` | `getIconDisabled()`
`abstract java.lang.String` | `getIconExpanded()`
`abstract java.lang.String` | `getIconStyle()`
`abstract java.lang.String` | `getLabel()`
`abstract java.lang.String` | `getName()`
`abstract java.lang.String` | `getOncollapse()`
`abstract java.lang.String` | `getOnexpand()`
`abstract java.lang.String` | `getStyle()`
`abstract java.lang.String` | `getStyleClass()`
`abstract java.lang.String` | `getTarget()`
`abstract boolean` | `isDisabled()`
`abstract boolean` | `isExpanded()`
`void` | `queueEvent(javax.faces.event.FacesEvent event)`
`void` | `removeActionListener(javax.faces.event.ActionListener listener)`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAction(javax.faces.el.MethodBinding action)`
`void` | `setActionListener(javax.faces.el.MethodBinding actionListener)`
`abstract void` | `setDisabled(boolean disabled)`
`abstract void` | `setDisabledClass(java.lang.String disabledClass)`
`abstract void` | `setDisabledStyle(java.lang.String disabledStyle)`
`abstract void` | `setExpanded(boolean expanded)`
`abstract void` | `setExpandMode(java.lang.String exapandMode)`
`abstract void` | `setHoverClass(java.lang.String hoverClass)`
`abstract void` | `setHoverStyle(java.lang.String hoverStyle)`
`abstract void` | `setIconClass(java.lang.String iconClass)`
`abstract void` | `setIconCollapsed(java.lang.String iconCollapsed)`
`abstract void` | `setIconDisabled(java.lang.String iconDisabled)`
`abstract void` | `setIconExpanded(java.lang.String expanded)`
`abstract void` | `setIconStyle(java.lang.String iconStyle)`
`abstract void` | `setLabel(java.lang.String label)`
`abstract void` | `setName(java.lang.String string)`
`abstract void` | `setOncollapse(java.lang.String ongroupcollapse)`
`abstract void` | `setOnexpand(java.lang.String ongroupexpand)`
`abstract void` | `setStyle(java.lang.String style)`
`abstract void` | `setStyleClass(java.lang.String styleClass)`
`abstract void` | `setTarget(java.lang.String target)`

Methods inherited from class org.ajax4jsf.component.AjaxInputComponent
`setupReRender`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getFamily, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ActionSource
`isImmediate, setImmediate`

Methods inherited from interface org.ajax4jsf.component.AjaxComponent
`getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getRequestDelay, getReRender, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setRequestDelay, setReRender, setStatus, setTimeout`

Methods inherited from interface javax.faces.component.EditableValueHolder
`addValidator, addValueChangeListener, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValueChangeListener`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter, setValue`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### UIPanelMenuGroup

    public UIPanelMenuGroup()

Method Detail

### getStyleClass

    public abstract java.lang.String getStyleClass()

### setStyleClass

    public abstract void setStyleClass(java.lang.String styleClass)

### getExpandMode

    public abstract java.lang.String getExpandMode()

### setExpandMode

    public abstract void setExpandMode(java.lang.String exapandMode)

### getIconExpanded

    public abstract java.lang.String getIconExpanded()

### setIconExpanded

    public abstract void setIconExpanded(java.lang.String expanded)

### getIconCollapsed

    public abstract java.lang.String getIconCollapsed()

### setIconCollapsed

    public abstract void setIconCollapsed(java.lang.String iconCollapsed)

### getIconDisabled

    public abstract java.lang.String getIconDisabled()

### setIconDisabled

    public abstract void setIconDisabled(java.lang.String iconDisabled)

### isDisabled

    public abstract boolean isDisabled()

### setDisabled

    public abstract void setDisabled(boolean disabled)

### getTarget

    public abstract java.lang.String getTarget()

### setTarget

    public abstract void setTarget(java.lang.String target)

### getHoverClass

    public abstract java.lang.String getHoverClass()

### setHoverClass

    public abstract void setHoverClass(java.lang.String hoverClass)

### getHoverStyle

    public abstract java.lang.String getHoverStyle()

### setHoverStyle

    public abstract void setHoverStyle(java.lang.String hoverStyle)

### getDisabledClass

    public abstract java.lang.String getDisabledClass()

### setDisabledClass

    public abstract void setDisabledClass(java.lang.String disabledClass)

### getDisabledStyle

    public abstract java.lang.String getDisabledStyle()

### setDisabledStyle

    public abstract void setDisabledStyle(java.lang.String disabledStyle)

### getStyle

    public abstract java.lang.String getStyle()

### setStyle

    public abstract void setStyle(java.lang.String style)

### getIconClass

    public abstract java.lang.String getIconClass()

### setIconClass

    public abstract void setIconClass(java.lang.String iconClass)

### getIconStyle

    public abstract java.lang.String getIconStyle()

### setIconStyle

    public abstract void setIconStyle(java.lang.String iconStyle)

### getOncollapse

    public abstract java.lang.String getOncollapse()

### setOncollapse

    public abstract void setOncollapse(java.lang.String ongroupcollapse)

### getOnexpand

    public abstract java.lang.String getOnexpand()

### setOnexpand

    public abstract void setOnexpand(java.lang.String ongroupexpand)

### getLabel

    public abstract java.lang.String getLabel()

### setLabel

    public abstract void setLabel(java.lang.String label)

### isExpanded

    public abstract boolean isExpanded()

### setExpanded

    public abstract void setExpanded(boolean expanded)

### setName

    public abstract void setName(java.lang.String string)

### getName

    public abstract java.lang.String getName()

### addActionListener

    public void addActionListener(javax.faces.event.ActionListener listener)

  Specified by:
    `addActionListener` in interface `javax.faces.component.ActionSource`

### getAction

    public javax.faces.el.MethodBinding getAction()

  Specified by:
    `getAction` in interface `javax.faces.component.ActionSource`

### getActionListener

    public javax.faces.el.MethodBinding getActionListener()

  Specified by:
    `getActionListener` in interface `javax.faces.component.ActionSource`

### getActionListeners

    public javax.faces.event.ActionListener[] getActionListeners()

  Specified by:
    `getActionListeners` in interface `javax.faces.component.ActionSource`

### removeActionListener

    public void removeActionListener(javax.faces.event.ActionListener listener)

  Specified by:
    `removeActionListener` in interface `javax.faces.component.ActionSource`

### setAction

    public void setAction(javax.faces.el.MethodBinding action)

  Specified by:
    `setAction` in interface `javax.faces.component.ActionSource`

### setActionListener

    public void setActionListener(javax.faces.el.MethodBinding actionListener)

  Specified by:
    `setActionListener` in interface `javax.faces.component.ActionSource`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIInput`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIInput`

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent event)

  Overrides:
    `queueEvent` in class `org.ajax4jsf.component.AjaxInputComponent`

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `org.ajax4jsf.component.AjaxInputComponent`
  Throws:
    `javax.faces.event.AbortProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.